
TYPO3.TYPO3CR - Bug # 46464

Status: Resolved Priority: Should have
Author: Soren Malling Category:
Created: 2013-03-20 Assigned To:
Updated: 2014-03-26 Due date:
Subject: Remove Neos SiteRepository from NodeConverter
Description

ATM TYPO3.TYPO3CR packages in only useable along with the TYPO3.Neos package, since the Neos SiteRepository it required in
the typeconverter NodeConverter

/**
 * @Flow\Inject
 * @var \TYPO3\Neos\Domain\Repository\SiteRepository
         */
        protected $siteRepository;

Solution (I guess):
-------------------
Move the NodeConverter to TYPO3.Neos or remove dependency on the neos siterepository

    -  or declare the dependency in composer.json

Associated revisions
Revision 0c3ac3b6 - 2014-03-26 11:50 - Soren Malling

[FEATURE] Remove dependency on TYPO3.Neos PublishingService

Remove dependency to publishing service in TYPO3.Neos
by providing a PublishingServiceInterface that
can be overwritten in Objects.yaml

Also introduce a generic publishing service for easy
extending of another publishing mechanisms.

Resolves: #46464
Releases: master, 1.1
Change-Id: If13788febbf94a905080daea749b6d8bad50a931
Reviewed-on: https://review.typo3.org/26495
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Steffen Wickham
Tested-by: Steffen Wickham
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 5c1428eb - 2014-03-26 15:13 - Soren Malling

[FEATURE] Remove dependency on TYPO3.Neos PublishingService
https://review.typo3.org/26495


Remove dependency to publishing service in TYPO3.Neos
by providing a PublishingServiceInterface that
can be overwritten in Objects.yaml

Also introduce a generic publishing service for easy
extending of another publishing mechanisms.

Resolves: #46464
Releases: master, 1.1
Change-Id: If13788febbf94a905080daea749b6d8bad50a931
Reviewed-on: https://review.typo3.org/28821
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-03-20 16:32 - Robert Lemke
- Status changed from New to Closed

Currently TYPO3CR has not been released independently from TYPO3 Neos. We'd like to concentrate on the Neos 1.0 release before we do that.
However, you are welcome to provide a tested patch which removes more dependencies already.

Feel free to re-open this ticket if you'd like to proceed with it.

#2 - 2013-12-19 17:05 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 1 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#3 - 2013-12-19 17:06 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#4 - 2013-12-19 17:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#5 - 2013-12-19 17:27 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

2015-08-04 2/4

https://review.typo3.org/28821
https://review.typo3.org/26495
https://review.typo3.org/26496
https://review.typo3.org/26495
https://review.typo3.org/26496


#6 - 2013-12-19 18:02 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#7 - 2013-12-19 18:03 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#8 - 2013-12-20 10:00 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#9 - 2013-12-22 02:50 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#10 - 2013-12-22 02:51 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#11 - 2014-01-04 18:28 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#12 - 2014-01-04 19:00 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#13 - 2014-03-04 16:46 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#14 - 2014-03-04 17:02 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495
#15 - 2014-03-04 17:07 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#16 - 2014-03-23 15:45 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#17 - 2014-03-23 15:46 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26496

#18 - 2014-03-23 15:46 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26495

#19 - 2014-03-26 11:50 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/28821

#20 - 2014-03-26 11:54 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/28823

#21 - 2014-03-26 12:48 - Soren Malling
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0c3ac3b670da24faf0af07a637c4a2af7877a518.
